Bug 188416 - [Maintainer update] comms/sstv to latest release
Summary: [Maintainer update] comms/sstv to latest release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-10 06:20 UTC by Stephen Hurd
Modified: 2014-04-11 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (19.40 KB, patch)
2014-04-10 06:20 UTC, Stephen Hurd
no flags Details | Diff
qsstv-patch.txt (30.94 KB, text/plain)
2014-04-10 23:27 UTC, shurd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2014-04-10 06:20:00 UTC
Update to latest revision

Fix: svn diff attached

Patch attached with submission follows:
Comment 1 Diane Bruce freebsd_committer 2014-04-10 17:02:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-04-11 20:36:22 UTC
Author: db
Date: Fri Apr 11 19:36:15 2014
New Revision: 351034
URL: http://svnweb.freebsd.org/changeset/ports/351034
QAT: https://qat.redports.org/buildarchive/r351034/

Log:
  - update comms/sstv to latest release
  - bug fix ftp transfer when using subdirectories ( reported by Ken G7VJA)
  - bug fix for sound file output when recording while transmitting (Jem)
  
  PR:		ports/188416
  Submitted by:	Stephen Hurd <shurd@sasktel.net> (maintainer)

Added:
  head/comms/qsstv/files/patch-qsstv_8.pro   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_channeldecode.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_deinterleaver.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_demodulator.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_getmode.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_mkfacmap.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_mkmscmap.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_psdcmean.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_drmrx_psdmean.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_sound_soundcontrol.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_sound_soundcontrol.h   (contents, props changed)
  head/comms/qsstv/files/patch-src_sound_soundio.cpp   (contents, props changed)
  head/comms/qsstv/files/patch-src_widgets_freqform.ui   (contents, props changed)
  head/comms/qsstv/files/patch-src_widgets_sweepform.ui   (contents, props changed)
Deleted:
  head/comms/qsstv/files/patch-no_designer
  head/comms/qsstv/files/patch-src_camcontrol.ui
  head/comms/qsstv/files/patch-src_configdialog.cpp
  head/comms/qsstv/files/patch-src_configform.ui
  head/comms/qsstv/files/patch-src_documentation_html_gettingstarted.html
  head/comms/qsstv/files/patch-src_freqform.ui
  head/comms/qsstv/files/patch-src_soundcontrol.ui
  head/comms/qsstv/files/patch-src_src.pro
  head/comms/qsstv/files/patch-src_sweepform.ui
  head/comms/qsstv/pkg-plist
Modified:
  head/comms/qsstv/Makefile
  head/comms/qsstv/distinfo   (contents, props changed)

Modified: head/comms/qsstv/Makefile
==============================================================================
--- head/comms/qsstv/Makefile	Fri Apr 11 19:34:34 2014	(r351033)
+++ head/comms/qsstv/Makefile	Fri Apr 11 19:36:15 2014	(r351034)
@@ -1,39 +1,36 @@
 # $FreeBSD$
 
 PORTNAME=	qsstv
-PORTVERSION=	7.1.7
+PORTVERSION=	8.2.6
 CATEGORIES=	comms hamradio
 MASTER_SITES=	http://users.telenet.be/on4qz/qsstv/downloads/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	db
 DISTNAME=	${PORTNAME}_${PORTVERSION}
-EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	shurd@sasktel.net
 COMMENT=	Amateur Radio SSTV/FAX reception program for unix
 
+LICENSE=	GPLv3
+
 LIB_DEPENDS=	libfftw3.so:${PORTSDIR}/math/fftw3 \
+		libfftw3f.so:${PORTSDIR}/math/fftw3-float \
 		libhamlib.so:${PORTSDIR}/comms/hamlib \
-		libasound.so:${PORTSDIR}/audio/alsa-lib
+		libasound.so:${PORTSDIR}/audio/alsa-lib \
+		libjasper.so:${PORTSDIR}/graphics/jasper
+.if defined(WITH_DEBUG)
+LIB_DEPENDS+=	libqwt.so:${PORTSDIR}/x11-toolkits/qwt5
+.endif
 BUILD_DEPENDS=	v4l_compat>=0:${PORTSDIR}/multimedia/v4l_compat
 
 USES=		qmake
-USE_QT4=	gui network moc_build rcc_build uic_build
-QMAKE_SOURCE_PATH=	${WRKSRC}/src
-
-OPTIONS_DEFINE=	DOCS
-
-.include <bsd.port.options.mk>
+USE_QT4=	gui network xml moc_build rcc_build uic_build
+USE_GCC=	any
 
 .if defined(WITH_DEBUG)
 IGNORE=		sources need more patching for debug build
 .endif
 
-.if ! ${PORT_OPTIONS:MDOCS}
-INSTALL_TARGET=	install_target
-.endif
-
-post-patch:
-	@${RM} -f ${WRKSRC}/src/documentation/html/gettingstarted.html.orig
+PLIST_FILES=	bin/qsstv
 
 .include <bsd.port.mk>

Modified: head/comms/qsstv/distinfo
==============================================================================
--- head/comms/qsstv/distinfo	Fri Apr 11 19:34:34 2014	(r351033)
+++ head/comms/qsstv/distinfo	Fri Apr 11 19:36:15 2014	(r351034)
@@ -1,2 +1,2 @@
-SHA256 (qsstv_7.1.7.tgz) = ae713985af1072ab267c280dcb81c830a9a026545cf402444e1f72a3e7f25f00
-SIZE (qsstv_7.1.7.tgz) = 2116410
+SHA256 (qsstv_8.2.6.tar.gz) = 89d8e978754c59057c5704c90633d9497d5abdf2063311f90221abe3b478f994
+SIZE (qsstv_8.2.6.tar.gz) = 655360

Added: head/comms/qsstv/files/patch-qsstv_8.pro
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-qsstv_8.pro	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,24 @@
+--- qsstv_8.pro.orig	2014-02-28 08:51:21.000000000 -0800
++++ qsstv_8.pro	2014-04-08 02:48:09.000000000 -0700
+@@ -420,7 +420,7 @@
+ FORMS   += src/scope/scopeoffset.ui \
+ 				src/scope/plotform.ui
+ 
+- INCLUDEPATH += /usr/include/qwt
++ INCLUDEPATH += $$PREFIX/include/qwt6
+  LIBS += -lqwt
+ }
+ 
+@@ -430,10 +430,10 @@
+ PRE_TARGETDEPS       +=    dox
+ message(dox will be generated)
+ }
+-dox.path=/usr/share/doc/$$TARGET
++dox.path=$$PREFIX/share/doc/$$TARGET
+ dox.files= $$PWD/manual/*
+ QMAKE_EXTRA_TARGETS   +=   dox
+ 
+-target.path = /usr/bin
++target.path = $$PREFIX/bin
+ INSTALLS += target dox
+ 

Added: head/comms/qsstv/files/patch-src_drmrx_channeldecode.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_channeldecode.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/channeldecode.cpp.orig	2014-04-08 02:02:06.000000000 -0700
++++ src/drmrx/channeldecode.cpp	2014-04-08 02:03:28.000000000 -0700
+@@ -29,7 +29,6 @@
+ #include <stdlib.h>
+ #include <sys/types.h>
+ #include <math.h>
+-#include <malloc.h>
+ #include <float.h>
+ #include "structtemplates.h"
+ #include "drmproto.h"

Added: head/comms/qsstv/files/patch-src_drmrx_deinterleaver.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_deinterleaver.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/deinterleaver.cpp.orig	2014-04-08 02:02:11.000000000 -0700
++++ src/drmrx/deinterleaver.cpp	2014-04-08 02:03:30.000000000 -0700
+@@ -30,7 +30,6 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include <malloc.h>
+ #include <math.h>
+ int *deinterleaver(int xinA, int tA, int xinB, int tB)
+ {

Added: head/comms/qsstv/files/patch-src_drmrx_demodulator.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_demodulator.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,11 @@
+--- src/drmrx/demodulator.cpp.orig	2014-04-10 14:48:35.000000000 -0700
++++ src/drmrx/demodulator.cpp	2014-04-10 14:49:48.000000000 -0700
+@@ -941,7 +941,7 @@
+           temp2 += actual_pilots[2 * j] * next_pilots[2 * j + 1] -actual_pilots[2 * j + 1] * next_pilots[2 * j];
+ 
+         }
+-      if (i != 0)  delta_freq_offset = (float) atan2(temp2, temp1 + MIN_ABS_H);
++      if (i != 0)  delta_freq_offset = (float) atan2(temp2, (float)(temp1 + MIN_ABS_H));
+ 
+       for (j = 0; j < K_max - K_min + 1; j++)
+         {

Added: head/comms/qsstv/files/patch-src_drmrx_getmode.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_getmode.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/getmode.cpp.orig	2014-04-08 02:02:16.000000000 -0700
++++ src/drmrx/getmode.cpp	2014-04-08 02:03:32.000000000 -0700
+@@ -34,7 +34,6 @@
+ #include <stdlib.h>
+ #include <math.h>
+ #include <sys/types.h>
+-#include <malloc.h>
+ #include "structtemplates.h"
+ #include "drmproto.h"
+ #include "drmdefs.h"

Added: head/comms/qsstv/files/patch-src_drmrx_mkfacmap.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_mkfacmap.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/mkfacmap.cpp.orig	2014-04-08 02:02:22.000000000 -0700
++++ src/drmrx/mkfacmap.cpp	2014-04-08 02:03:34.000000000 -0700
+@@ -27,7 +27,6 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include <malloc.h>
+ int mkfacmap(int robustness_mode, int K_dc, int K_modulo, int /*@out@ */ *FACmap)
+ {
+   int elem_cnt, i;

Added: head/comms/qsstv/files/patch-src_drmrx_mkmscmap.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_mkmscmap.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/mkmscmap.cpp.orig	2014-04-08 02:02:32.000000000 -0700
++++ src/drmrx/mkmscmap.cpp	2014-04-08 02:03:36.000000000 -0700
+@@ -32,7 +32,6 @@
+ #include <stdlib.h>
+ #include <sys/types.h>
+ #include <math.h>
+-#include <malloc.h>
+ #include "drmdefs.h"
+ #include "structtemplates.h"
+ #include "drmproto.h"

Added: head/comms/qsstv/files/patch-src_drmrx_psdcmean.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_psdcmean.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/psdcmean.cpp.orig	2014-04-08 02:02:38.000000000 -0700
++++ src/drmrx/psdcmean.cpp	2014-04-08 02:03:38.000000000 -0700
+@@ -36,7 +36,6 @@
+ #include <stdlib.h>
+ #include <math.h>
+ #include <sys/types.h>
+-#include <malloc.h>
+ void cfft(float *, int, int);
+ void psdcmean(float *rsbuf, float *cpsd, int lblock, int nblocks)
+ {

Added: head/comms/qsstv/files/patch-src_drmrx_psdmean.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_drmrx_psdmean.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/drmrx/psdmean.cpp.orig	2014-04-08 02:02:47.000000000 -0700
++++ src/drmrx/psdmean.cpp	2014-04-08 02:03:40.000000000 -0700
+@@ -36,7 +36,6 @@
+ #include <stdlib.h>
+ #include <math.h>
+ #include <sys/types.h>
+-#include <malloc.h>
+ void rfft(float *, int, int);
+ void psdmean(float *input, float *psd, int lblock, int nblocks)
+ {

Added: head/comms/qsstv/files/patch-src_sound_soundcontrol.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_sound_soundcontrol.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,63 @@
+--- src/sound/soundcontrol.cpp.orig	2014-04-09 10:27:08.000000000 -0700
++++ src/sound/soundcontrol.cpp	2014-04-09 10:27:28.000000000 -0700
+@@ -53,8 +53,8 @@
+   txClock=qSettings.value("txclock",BASESAMPLERATE).toDouble();
+   if(fabs(1-rxClock/BASESAMPLERATE)>0.002) rxClock=BASESAMPLERATE;
+   if(fabs(1-txClock/BASESAMPLERATE)>0.002) txClock=BASESAMPLERATE;
+-  inputAudioDeviceIndex=qSettings.value("inputAudioDeviceIndex",0).toInt();
+-  outputAudioDeviceIndex=qSettings.value("outputAudioDeviceIndex",0).toInt();
++  inputAudioDevice=qSettings.value("inputAudioDevice",0).toString();
++  outputAudioDevice=qSettings.value("outputAudioDevice",0).toString();
+   soundIOPtr->soundRoutingInput=  (soundIO::edataSrc)qSettings.value("soundRoutingInput",  0 ).toInt();
+   soundIOPtr->soundRoutingOutput= (soundIO::edataDst)qSettings.value("soundRoutingOutput", 0 ).toInt();
+   soundIOPtr->recordingSize= qSettings.value("recordingSize", 100 ).toInt();
+@@ -69,8 +69,8 @@
+   qSettings.beginGroup("Sound");
+   qSettings.setValue("rxclock",rxClock);
+   qSettings.setValue("txclock",txClock);
+-  qSettings.setValue("inputAudioDeviceIndex",inputAudioDeviceIndex);
+-  qSettings.setValue("outputAudioDeviceIndex",outputAudioDeviceIndex);
++  qSettings.setValue("inputAudioDevice",inputAudioDevice);
++  qSettings.setValue("outputAudioDevice",outputAudioDevice);
+   qSettings.setValue ("soundRoutingInput", soundIOPtr->soundRoutingInput );
+   qSettings.setValue ("soundRoutingOutput",soundIOPtr->soundRoutingOutput );
+   qSettings.setValue ("recordingSize",soundIOPtr->recordingSize );
+@@ -82,8 +82,8 @@
+ {
+   setValue(rxClock,ui->inputClockLineEdit,9);
+   setValue(txClock,ui->outputClockLineEdit,9);
+-  setIndex(inputAudioDeviceIndex,ui->inputPCMNameComboBox);
+-  setIndex(outputAudioDeviceIndex,ui->outputPCMNameComboBox);
++  setValue(inputAudioDevice,ui->inputPCMNameComboBox);
++  setValue(outputAudioDevice,ui->outputPCMNameComboBox);
+   soundIOPtr->inputAudioDevice=ui->inputPCMNameComboBox->currentText();
+   soundIOPtr->outputAudioDevice=ui->outputPCMNameComboBox->currentText();
+ 
+@@ -99,13 +99,13 @@
+ void soundControl::getParams()
+ {
+   changed=false;
+-  int savedInputIdx=inputAudioDeviceIndex;
+-  int savedOutputIdx=outputAudioDeviceIndex;
++  QString savedInput=inputAudioDevice;
++  QString savedOutput=outputAudioDevice;
+   getValue(rxClock,ui->inputClockLineEdit);
+   getValue(txClock,ui->inputClockLineEdit);
+ 
+-  getIndex(inputAudioDeviceIndex,ui->inputPCMNameComboBox);
+-  getIndex(outputAudioDeviceIndex,ui->outputPCMNameComboBox);
++  getValue(inputAudioDevice,ui->inputPCMNameComboBox);
++  getValue(outputAudioDevice,ui->outputPCMNameComboBox);
+ 
+   if (ui->inFromCard->isChecked()) soundIOPtr->soundRoutingInput=soundIO::SNDINCARD;
+   else if(ui->inFromFile->isChecked()) soundIOPtr->soundRoutingInput=soundIO::SNDINFILE;
+@@ -114,7 +114,7 @@
+   if (ui->outToCard->isChecked()) soundIOPtr->soundRoutingOutput=soundIO::SNDOUTCARD;
+   else soundIOPtr->soundRoutingOutput=soundIO::SNDOUTTOFILE;
+   getValue(soundIOPtr->recordingSize,ui->mbSpinBox);
+-  if(savedInputIdx!=inputAudioDeviceIndex) changed=true;
+-  if(savedOutputIdx!=outputAudioDeviceIndex) changed=true;
++  if(savedInput!=inputAudioDevice) changed=true;
++  if(savedOutput!=outputAudioDevice) changed=true;
+ }
+ 

Added: head/comms/qsstv/files/patch-src_sound_soundcontrol.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_sound_soundcontrol.h	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,13 @@
+--- src/sound/soundcontrol.h.orig	2014-04-09 10:27:16.000000000 -0700
++++ src/sound/soundcontrol.h	2014-04-09 10:27:28.000000000 -0700
+@@ -22,8 +22,8 @@
+ 
+ private:
+   Ui::soundControl *ui;
+-  int inputAudioDeviceIndex;
+-  int outputAudioDeviceIndex;
++  QString inputAudioDevice;
++  QString outputAudioDevice;
+   bool changed;
+   void getParams();
+ };

Added: head/comms/qsstv/files/patch-src_sound_soundio.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_sound_soundio.cpp	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,76 @@
+--- src/sound/soundio.cpp.orig	2014-04-03 11:15:08.000000000 -0700
++++ src/sound/soundio.cpp	2014-04-09 21:47:59.000000000 -0700
+@@ -328,7 +328,9 @@
+               if ( count == -EPIPE )
+                 {
+                   // Overrun
+-                  snd_pcm_prepare (captureHandle );
++                  snd_pcm_drop (captureHandle);
++                  snd_pcm_reset (captureHandle);
++                  snd_pcm_prepare (captureHandle);
+                   snd_pcm_start (captureHandle);
+                   qDebug()<< "Overrun";
+                 }
+@@ -573,8 +575,6 @@
+ //  int totalDevices;
+   snd_pcm_info_t *pcmInfo;
+   snd_ctl_t *cardHandle;
+-  inputPCMNameList << "default";
+-  outputPCMNameList << "default";
+ 
+   // No cards found yet
+   totalCards = 0;
+@@ -582,6 +582,11 @@
+   // Start with first card
+   cardNum = -1;
+ 
++  // We need to get a snd_ctl_card_info_t. Just alloc it on the stack
++  snd_ctl_card_info_alloca(&cardInfo);
++  // To get some info about the subdevices of this wave device (on the card), we need a
++  // snd_pcm_info_t, so let's allocate one on the stack
++  snd_pcm_info_alloca(&pcmInfo);
+   for (;;)
+     {
+ 
+@@ -599,8 +604,6 @@
+           qDebug() << "Can't open card "<< cardNum << snd_strerror(err);
+           continue;
+         }
+-      // We need to get a snd_ctl_card_info_t. Just alloc it on the stack
+-      snd_ctl_card_info_alloca(&cardInfo);
+ 
+       // Tell ALSA to fill in our snd_ctl_card_info_t with info about this card
+       if ((err = snd_ctl_card_info(cardHandle, cardInfo)) >= 0)
+@@ -619,9 +622,6 @@
+           // NOTE: It's possible that this sound card may have no wave devices on it
+           // at all, for example if it's only a MIDI card
+           if (devNum < 0) break;
+-          // To get some info about the subdevices of this wave device (on the card), we need a
+-          // snd_pcm_info_t, so let's allocate one on the stack
+-          snd_pcm_info_alloca(&pcmInfo);
+           memset(pcmInfo, 0, snd_pcm_info_sizeof());
+ 
+           // Tell ALSA which device (number) we want info about
+@@ -636,6 +636,22 @@
+ //      qDebug() << "Found:" << totalDevices << " digital audio devices on card " <<  cardNum;
+     }
+ 
++	snd_config_t	*pcm;
++	snd_config_update();
++	if(snd_config_search(snd_config, "pcm", &pcm)==0) {
++		snd_config_iterator_t i, next;
++		snd_config_for_each(i, next, pcm) {
++			snd_config_t *n = snd_config_iterator_entry(i);
++			if (snd_config_get_type(n) != SND_CONFIG_TYPE_COMPOUND)
++				continue;
++			const char *id;
++			if(snd_config_get_id(n, &id)==0) {
++				inputPCMNameList << id;
++				outputPCMNameList << id;
++			}
++		}
++	}
++
+ //  qDebug() << "ALSA found cards" << totalCards;
+ 
+   // ALSA allocates some mem to load its config file when we call

Added: head/comms/qsstv/files/patch-src_widgets_freqform.ui
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_widgets_freqform.ui	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/widgets/freqform.ui.orig	2014-04-10 14:59:37.000000000 -0700
++++ src/widgets/freqform.ui	2014-04-10 14:59:45.000000000 -0700
+@@ -242,7 +242,6 @@
+   </layout>
+  </widget>
+  <layoutdefault spacing="6" margin="11"/>
+- <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
+  <resources/>
+  <connections>
+   <connection>

Added: head/comms/qsstv/files/patch-src_widgets_sweepform.ui
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/qsstv/files/patch-src_widgets_sweepform.ui	Fri Apr 11 19:36:15 2014	(r351034)
@@ -0,0 +1,10 @@
+--- src/widgets/sweepform.ui.orig	2014-04-10 15:00:13.000000000 -0700
++++ src/widgets/sweepform.ui	2014-04-10 15:00:18.000000000 -0700
+@@ -248,7 +248,6 @@
+   </layout>
+  </widget>
+  <layoutdefault spacing="6" margin="11"/>
+- <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
+  <resources/>
+  <connections>
+   <connection>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Diane Bruce freebsd_committer 2014-04-11 20:39:11 UTC
State Changed
From-To: open->closed

Committed, with minor changes.  Thanks!